TAR(1)

NAZWA
tar - tar - wersja GNU programu archiwizującego tar

SKŁADNIA
tar [-] A --catenate --concatenate | c --create | d --diff --compare | --delete | r --append | t --list | --test-label | u --update | x --extract --get [opcje] [nazwa ścieżki ...]

OPIS
Tar przechowuje i wyodrębnia pliki z archiwum z taśmy lub dysku.

Pierwszym argumentem do tara powinna być funkcja: albo jedna z liter Acdrtux, albo jedna z długich nazw funkcji. Litera funkcji nie musi być poprzedzona "-" i może był połączona z innymi opcjami pojedynczych liter. Długa nazwa funkcji musi być poprzedzona --. Część opcji przyjmuje parametr; przy postaci jednoliterowej muszą być one podane jako oddzielne argumenty. W długiej postaci mogą być podane przez dołączenie =wartość do opcji.

FUNKCJE LITEROWE
Główny tryb pracy:

-A, --catenate, --concatenate
    dołączenie istniejących plików .tar do archiwum

-c, --create
    utworzenie nowego archiwum

-d, --diff, --compare
    znalezienie różnic między archiwum, a systemem plików

--delete
    usunięcie plików z archiwum (opcji nie można użyć na taśmach magnetycznych!)

-r, --append
    dołączenie plików do archiwum na jego końcu

-t, --list
    wypisanie zawartości archiwum

--test-label
    sprawdzenie etykiety woluminu archiwum i wyjście

-u, --update
    dołączenie tylko tych plików, które są nowsze niż egzemplarze w archiwum

-x, --extract, --get
    ekstrakcja plików z archiwum

INNE OPCJE
Modyfikatory operacji:

-[0-7][lmh]
    określenie napędu i gęstości

-a, --auto-compress
    używa przyrostka archiwum do określenia programu kompresującego

--add-file=PLIK
    dodaje podany PLIK do archiwum (przydatne jeśli nazwa zaczyna się minusem)

--anchored
    wzorzec dopasowuje początek nazwy pliku

--no-anchored
    wzorzec dopasowuje po dowolnym "/" (domyślne przy wyłączeniu)

--atime-preserve
    zachowuje czasy dostępu zrzucanych plików, zamiast przywracania czasów

--no-auto-compress
    nie używa przyrostka archiwum do określenia programu kompresującego

-b, --blocking-factor BLOKI
    BLOKI x 512 bajtów na rekord

-B, --read-full-records
    zmienia rozmiar bloku podczas czytania archiwum (do używania z nazwanymi potokami 4.2BSD)

--backup
    przed usunięciem wykonuje kopię zapasową, kontroluje wybór wersji

-C, --directory KATALOG
    zmienia katalog na KATALOG

--check-device
    sprawdza numer urządzenia przy tworzeniu archiwów przyrostowych (domyślnie)

--no-check-device
    nie sprawdza numerów urządzenia przy tworzeniu archiwów przyrostowych

--checkpoint
    wyświetla informacje o postępie co LICZBA rekord (domyślnie 10)

--checkpoint-action=AKCJA
    wykonuje AKCJĘ po każdym checkpoincie

--delay-directory-restore
    opóźnia ustawianie czasów modyfikacji i opóźnień rozpakowanych plików

--no-delay-directory-restore
    odwołuje działanie opcji --delay-directory-restore

--exclude=WZORZEC
    wyłącza pliki podane jako WZORZEC

--exclude-backups
    wyłącza pliki kopii zapasowej i blokady

--exclude-caches
    wyłącza zawartość katalogów zawierających CACHEDIR.TAG,

--exclude-caches-all
    wyłącza katalogi zawierające CACHEDIR.TAG

--exclude-caches-under
    wyłącza wszystko w katalogach zawierających CACHEDIR.TAG

--exclude-tag=PLIK
    wyłącza zawartość katalogów zawierających PLIK, z wyjątkiem

--exclude-tag-all=PLIK
    wyłącza katalogi zawierające PLIK

--exclude-tag-under=PLIK
    wyłącza wszystko w katalogach zawierających PLIK

--exclude-vcs
    wyłącza katalogi systemu kontroli wersji

-f, --file ARCHIWUM
    używa pliku archiwum lub urządzenia ARCHIWUM

-F, --info-script, --new-volume-script NAZWA
    na końcu każdej taśmy uruchamia podany skrypt (implikuje funkcjonalność opcji -M)

--force-local
    plik z archiwum jest lokalny nawet, jeżeli w jego nazwie występuje dwukropek

--full-time
    wypisuje czas pliku do jego pełnej rozdzielczości

-g, --listed-incremental PLIK
    obsługuje archiwum przyrostowe w nowym formacie GNU

-G, --incremental
    obsługuje archiwum przyrostowe w starym formacie GNU

--group=NAZWA
    wymusza NAZWĘ jako grupę dodanych plików

-h, --dereference
    podąża za dowiązaniami symbolicznymi; archiwizuje pliki, na które one wskazują

-H, --format FORMAT
    tworzy archiwum w podanym FORMACIE, który jest jednym z poniższych:

    --format=gnu
        format GNU tar 1.13.x

    --format=oldgnu
        format GNU w programie tar <= 1.12

    --format=pax
        format POSIX 1003.1-2001 (pax)

    --format=posix
        równoważne pax

    --format=ustar
        format POSIX 1003.1-1988 (ustar)

    --format=v7
        stary format tar V7

--hard-dereference
    podąża za dowiązaniami zwykłymi (twardymi); archiwizuje i zrzuca pliki do których się one odnoszą

-i, --ignore-zeros
    ignoruje bloki zawierające same zera (normalnie taki blok w archiwum oznacza koniec pliku)

-I, --use-compress-program PROGRAM
    filtruje archiwum programem PROGRAM (który musi akceptować opcję -d oznaczającą dekompresję)

--ignore-case
    ignoruje wielkość znaków

--no-ignore-case
    dopasowanie zwracające uwagę na wielkość znaków (domyślne)

--ignore-command-error
    ignoruje kody zakończenia procesów potomnych

--no-ignore-command-error
    traktuje niezerowe kody zakończenia procesów potomnych jako błąd

--ignore-failed-read
    zakazuje kończenia działania programu z niezerowym kodem wyjścia po napotkaniu plików, które nie dają się odczytać

--index-file=PLIK
    wypisuje szczegółowe informacje do PLIKU

-j, --bzip2

-J, --xz

-k, --keep-old-files
    nie zastępuje istniejących plików podczas wypakowywania

-K, --starting-file NAZWA-CZĘŚCI
    zaczyna od części NAZWA-CZĘŚCI w archiwum

--keep-newer-files
    nie zastępuje istniejących plików, które są nowsze niż egzemplarze w archiwum

-l, --check-links
    wypisuje komunikat, jeśli nie wszystkie dowiązania są zrzucone

-L, --tape-length LICZBA
    zmiana taśmy po zapisaniu LICZBA x 1024 bajtów

--level=LICZBA
    zrzuca poziom do tworzenia archiwum przyrostowego

--lzip

--lzma

--lzop

-m, --touch
    nie dearchiwizuje czasu modyfikacji plików

-M, --multi-volume
    tworzy/wypisuje zawartość/dearchiwizuje archiwum wieloczęściowe

--mode=ZMIANY
    wymusza ZMIANY trybu (symbolicznego) dodanych plików

--mtime=DATA-lub-PLIK
    ustawia mtime dodawanych plików na DATA-lub-PLIK

-n, --seek
    archiwum jest przeszukiwalne

-N, --newer, --after-date DATA-lub-PLIK
    archiwizuje wyłącznie pliki nowsze, niż DATA-lub-PLIK

--newer-mtime=DATA
    porównuje datę i czas gdy zmieniła się tylko data

--null
    opcja -T odczytuje nazwy plików zakończone znakiem '\0', opcja -C wówczas nie działa

--no-null
    odwołuje działanie opcji --null

--numeric-owner
    posługiwanie się numerami użytkowników i grup, zamiast ich nazw

-O, --to-stdout
    dearchiwizuje pliki na standardowe wyjście

--occurrence
    przetwarza jedynie co LICZBA wystąpienie każdego pliku w archiwum

--old-archive, --portability
    równoważne --format=v7

--one-file-system
    archiwizuje pliki tylko z bieżącego systemu plików

--overwrite
    nadpisuje istniejące pliki podczas wypakowywania

--overwrite-dir
    nadpisuje metadane istniejących katalogów podczas wypakowywania (domyślne)

--no-overwrite-dir
    zachowuje metadane istniejących katalogów

--owner=NAZWA
    wymusza NAZWĘ jako właściciela dodanych plików

-p, --preserve-permissions, --same-permissions
    wyodrębnia informacje o uprawnieniach pliku (domyślne dla superużytkownika)

-P, --absolute-names
    nie usuwa z nazw plików początkowych znaków "/"

--pax-option=keyword[[:]=wartość][,keyword[[:]=wartość]]...
    kontroluje słowa kluczowe pax

--posix
    równoważne --format=posix

--preserve
    równoważne -p i -s

--quote-chars=ŁAŃCUCH
    dodatkowe znaki cytowania do ŁAŃCUCHA

--no-quote-chars=ŁAŃCUCH
    wyłącza dodatkowe znaki cytowania do ŁAŃCUCHA

--quoting-style=STYL
    ustawia styl cytowania nazw; patrz niżej, aby poznać prawidłowe wartości STYLU

-R, --block-number
    wypisywanie numeru rekordu wewnątrz archiwum przy każdym komunikacie

--record-size=LICZBA
    LICZBA bajtów na rekord, wielokrotność 512

--recursion
    obsługuje katalogi rekurencyjnie (domyślnie)

--no-recursion
    zapobiega automatycznemu zagłębianiu się w katalogi

--recursive-unlink
    oczyszcza hierarchię w stosunku do wypakowywanego katalogu

--remove-files
    usuwa pliki po dodaniu ich do archiwum

--restrict
    wyłącza część potencjalnie szkodliwych opcji

--rmt-command=POLECENIE
    używa podanego POLECENIA rmt zamiast rmt

--rsh-command=POLECENIE
    używa podanego zdalnego POLECENIA zamiast rsh

-s, --preserve-order, --same-order
    lista nazw plików do dearchiwizacji jest sortowana, by pasować do archiwum

-S, --sparse
    efektywna obsługa plików rozrzedzonych (z "dziurami")

--same-owner
    próbuje wypakować pliki z tymi samymi właścicielami jak w archiwum (domyślne dla superużytkownika)

--no-same-owner
    wypakowuje pliki jako użytkownik uruchamiający program tar (domyślne dla zwykłych użytkownik)

--no-same-permissions
    stosuje umask użytkownika przy wypakowywaniu uprawnień z archiwum (domyślne dla zwykłych użytkowników)

--no-seek
    archiwum jest nieprzeszukiwalne

--show-defaults
    pokazuje domyślne ustawienia tar

--show-omitted-dirs
    podczas wypisywania lub wypakowywania, wypisuje każdy katalog niepasujący do kryteriów wyszukiwania

--show-transformed-names, --show-stored-names
    pokazuje nazwy pliku lub archiwum po przetworzeniu

--sparse-version=GŁÓWNY[.POBOCZNY]
    ustawia wersję formatu plików rzadkich ("z dziurami") (implikuje --sparse)

--strip-components=LICZBA
    usuwa LICZBĘ początkowych części z nazw plików podczas wypakowania

--suffix=ŁAŃCUCH
    przed usunięciem wykonuje kopię zapasową, przesłania zwykły przyrostek ("~", chyba że został przesłonięty przez zmienną środowiskową SIMPLE_BACKUP_SUFFIX)

-T, --files-from PLIK
    nazwy plików do archiwizacji lub dearchiwizacji są pobierane z pliku PLIK

--to-command=POLECENIE
    przesyła wyodrębnione pliki potokiem do innego programu

--totals
    wypisuje całkowitą wielkość, w bajtach, po przetworzeniu archiwum

--transform, --xform WYRAŻENIE
    używa WYRAŻENIA zamieniającego seda do przetworzenia nazw plików

-U, --unlink-first
    usuwa każdy plik przed wypakowaniem do niego

--unquote
    nie cytuje nazw plików odczytanych za pomocą -T (domyślnie)

--no-unquote
    zapobiega niecytowaniu nazw plików odczytanych za pomocą -T

--utc
    wypisuje czasy modyfikacji pliku w UTC

-v, --verbose
    szczegółowe wypisywanie nazw przetwarzanych plików

-V, --label TEKST
    tworzy archiwum z nazwą woluminu TEKST, przy wypisywaniu/rozpakowywaniu używa TEKSTU jako wzorzec maski do nazwy woluminu

--volno-file=PLIK
    używa/aktualizuje numer woluminu w PLIKU

-w, --interactive, --confirmation
    pyta o zgodę na każdą operację

-W, --verify
    weryfikacja archiwum po jego utworzeniu

--warning=SŁOWO-KLUCZOWE
    kontrola ostrzeżeń

--wildcards
    używa wieloznacznika (domyślne przy wyłączeniach)

--wildcards-match-slash
    wieloznacznik dopasowuje "/" (domyślne przy wyłączeniach)

--no-wildcards-match-slash
    wieloznacznik nie dopasowuje "/"

--no-wildcards
    dosłowne dopasowanie łańcuchów

-X, --exclude-from PLIK
    wyłączenie z archiwizacji plików o nazwach wymienionych w pliku PLIK

-z, --gzip, --gunzip --ungzip

-Z, --compress, --uncompress

ŚRODOWISKO
Zachowanie programu tar jest kontrolowane przez między innymi przez następujące zmienne środowiskowe:

SIMPLE_BACKUP_SUFFIX
    Przedrostek kopii zapasowej przy wypakowaniu, jeśli nie podano --suffix. Jeśli nie podano żadnego z nich, domyślnie używany jest "~".

TAR_OPTIONS
    Opcje dodawane przed opcjami podanymi w wierszu polecenia, oddzielone spacjami. Odwrotne ukośniki mogą zostać użyte do zacytowania spacji lub odwrotnego ukośnika w opcji.

TAPE
    Urządzenie lub plik użyty do archiwizacji, jeśli nie podano --file. Jeśli ta zmienna środowiskowa nie jest ustawiona, używane jest standardowe wejście lub wyjście.

TAR_LONGLINK_100

PRZYKŁADY
Tworzenie archive.tar z plików foo i bar.
    tar -cf archive.tar foo bar

Szczegółowe wypisanie wszystkich plików z archive.tar.
    tar -tvf archive.tar

Wypisanie wszystkich plików z archive.tar.
    tar -xf archive.tar

ZOBACZ TAKŻE
tar(5), symlink(7), rmt(8)

HISTORIA
Polecenie tar pojawiło się w AT&T UNIX.

BŁĘDY
Ludzie ze środowiska GNU zwykle nie znoszą stron podręcznika systemowego man i tworzą w zamian dokumenty info. Niestety, dokument info opisujący tara jest licencjonowany na warunkach GFDL z niezmiennymi tekstami okładki, przez nie można było wykorzystać z niego jakiegokolwiek tekstu w niniejszej stronie podręcznika. Większość zamieszczonego tu tekstu została wyodrębniona automatycznie, z tekstu opisującego użycie, w źródle programu. W związku z tym, ten podręcznik może nie być kompletny.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Łukasz Kowalczyk (PTM) <lukow@tempac.okwf.fuw.edu.pl>, Andrzej M. Krzysztofowicz (PTM) <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com>.
Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.26+dfsg oryginału.